Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 78314

Summary: pdbedit is missing. manpage is provided
Product: [Retired] Red Hat Linux Reporter: Ralf Spenneberg <ralf>
Component: sambaAssignee: Jay Fenlason <fenlason>
Status: CLOSED CURRENTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: abartlet, jfeeney, nacho
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-11-16 22:27:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ralf Spenneberg 2002-11-21 06:24:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
The command pdbedit is missing although the manpage for the program is provided.
Please enclose the pdbedit command.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -ql samba | grep pdbedit
2.
3.
	

Actual Results:  Manpage is shown. Utility is absent.

Expected Results:  Utility should be available too.

Additional info:

Comment 1 Michael Lee Yohe 2002-11-22 18:45:51 UTC
Confirming.

$ rpm -q samba
samba-2.2.5-10


Comment 2 Andrew Bartlett 2002-12-29 00:35:54 UTC
The manpage should be removed - in 2.2 pdbedit is only built for passdb backends
other than smbpasswd.  However, in 3.0 pdbedit has been rewriten (in 3.0 it's
actually quite useful) and the manpage applies...

Comment 3 Ignacio Penas 2003-04-14 10:32:53 UTC
My problem is very similar. Actually I'm working with Redhat9 but the problem
was the same with version 8.0.

I need to regenerate the Samba package in order to add ldapsam support. I pick
the SRPMS package from your oficial FTP, even the updated one. After editing the
SPEC file, I run "$ rpmbuild -bb rpm/SPECS/samba.spec" amd everything works fine
up to the end when I get this error:

----------------
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/samba-2.2.7a-root
error: Installed (but unpackaged) file(s) found:
   /usr/bin/pdbedit
 
 
RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/bin/pdbedit
----------------

Having a look upwards in the RPMs dump I could see the line
----------------
extracting debug info from /var/tmp/samba-2.2.7a-root/usr/bin/pdbedit
----------------

So the program is generated but not included in the package. Obviouslly the
build is stopped with error.

Comment 4 Jay Fenlason 2004-11-16 22:27:24 UTC
pdbedit is included in current Samba rpms.